FreeBSD : asterisk -- Crash on SDP offer or answer from endpoint using Opus (9e6640fe-be3a-11e6-b04f-001999f8d30b)

High Nessus Plugin ID 95693


The remote FreeBSD host is missing a security-related update.


The Asterisk project reports :

If an SDP offer or answer is received with the Opus codec and with the format parameters separated using a space the code responsible for parsing will recursively call itself until it crashes. This occurs as the code does not properly handle spaces separating the parameters.
This does NOT require the endpoint to have Opus configured in Asterisk. This also does not require the endpoint to be authenticated.
If guest is enabled for chan_sip or anonymous in chan_pjsip an SDP offer or answer is still processed and the crash occurs.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 95693

File Name: freebsd_pkg_9e6640febe3a11e6b04f001999f8d30b.nasl

Version: $Revision: 3.1 $

Type: local

Published: 2016/12/12

Modified: 2016/12/12

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:asterisk13, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/12/09

Vulnerability Publication Date: 2016/11/11